## lxctl 0.3.0+debian

=== Makefile ===
DESTDIR=debian/tmp

install:
	install -D lxctl $(DESTDIR)/usr/bin/lxctl
	install -D lxctl $(DESTDIR)/usr/bin/lxctl_debug
	install -D lxctl.yaml $(DESTDIR)/etc/lxctl/lxctl.yaml
	install -D bash_completion.d/lxctl $(DESTDIR)/etc/bash_completion.d/lxctl
	install -D bash_completion.d/lxctl_create $(DESTDIR)/etc/bash_completion.d/lxctl_create
	install -D bash_completion.d/lxctl_destroy $(DESTDIR)/etc/bash_completion.d/lxctl_destroy
	install -D bash_completion.d/lxctl_enter $(DESTDIR)/etc/bash_completion.d/lxctl_enter
	install -D bash_completion.d/lxctl_freeze $(DESTDIR)/etc/bash_completion.d/lxctl_freeze
	install -D bash_completion.d/lxctl_list $(DESTDIR)/etc/bash_completion.d/lxctl_list
	install -D bash_completion.d/lxctl_migrate $(DESTDIR)/etc/bash_completion.d/lxctl_migrate
	install -D bash_completion.d/lxctl_mount $(DESTDIR)/etc/bash_completion.d/lxctl_mount
	install -D bash_completion.d/lxctl_restart $(DESTDIR)/etc/bash_completion.d/lxctl_restart
	install -D bash_completion.d/lxctl_set $(DESTDIR)/etc/bash_completion.d/lxctl_set
	install -D bash_completion.d/lxctl_start $(DESTDIR)/etc/bash_completion.d/lxctl_start
	install -D bash_completion.d/lxctl_stop $(DESTDIR)/etc/bash_completion.d/lxctl_stop
	install -D bash_completion.d/lxctl_unfreeze $(DESTDIR)/etc/bash_completion.d/lxctl_unfreeze
	install -D bash_completion.d/lxctl_pid $(DESTDIR)/etc/bash_completion.d/lxctl_pid
	install -D bash_completion.d/lxctl_vz2lxc $(DESTDIR)/etc/bash_completion.d/lxctl_vz2lxc
	
	install -d $(DESTDIR)/usr/lib/perl/5.10/Lxc
	install -d $(DESTDIR)/usr/lib/perl/5.10/Lxctl
	install -d $(DESTDIR)/usr/lib/perl/5.10/LxctlHelpers
	install -d $(DESTDIR)/var/lxc/templates
	install -d $(DESTDIR)/var/lxc/root
	
	cp Lxc/* $(DESTDIR)/usr/lib/perl/5.10/Lxc
	cp Lxctl/* $(DESTDIR)/usr/lib/perl/5.10/Lxctl
	cp LxctlHelpers/* $(DESTDIR)/usr/lib/perl/5.10/LxctlHelpers

=== debian/changelog ===
lxctl (0.3.0+debian-1) unstable; urgency=low

  * Merging upstream version 0.3.0.
  * Rediffing fhs.patch.
  * Rediffing perl.patch.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 19 Oct 2011 11:03:24 +0200

lxctl (0.2.13+debian-1) unstable; urgency=low

  * Initial release.
  * Rebuilding upstream tarball without debian directory.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 25 Sep 2011 15:47:04 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_fixperms:
	dh_fixperms

	chmod 0644 debian/lxctl/etc/lxctl/lxctl.yaml
	chmod 0644 debian/lxctl/etc/bash_completion.d/lxctl

override_dh_builddeb:
	dh_builddeb -- -Zgzip -z9

## lxctl 0.3.1+debian

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,5 @@
-DESTDIR=debian/tmp
-
 install:
 	install -D lxctl $(DESTDIR)/usr/bin/lxctl
-	install -D lxctl $(DESTDIR)/usr/bin/lxctl_debug
 	install -D lxctl.yaml $(DESTDIR)/etc/lxctl/lxctl.yaml
 	install -D bash_completion.d/lxctl $(DESTDIR)/etc/bash_completion.d/lxctl
 	install -D bash_completion.d/lxctl_create $(DESTDIR)/etc/bash_completion.d/lxctl_create

=== debian/changelog ===
lxctl (0.3.1+debian-6) unstable; urgency=medium

  * QA upload.
  * debian/control: bump Standards-Version to 4.6.2.
  * debian/copyright: update packaging copyright years.
  * debian/patches/030_fix-typos-in-binary.patch: remove comment from
    'forwarded' field header.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Tue, 05 Dec 2023 07:44:05 -0300

lxctl (0.3.1+debian-5) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Added Rules-Requires-Root: no.
      - Bumped Standards-Version to 4.6.1.
      - Changed long description.
      - Changed Vcs-* URLs to salsa.debian.org.
      - Updated 'Homepage' field.
  * debian/copyright:
      - Added field 'Files-Excluded' to list debian directory from upstream
        source.
      - Added new rights for packaging.
      - Updated 'Format' field to use https protocol.
      - Updated license Artistic name.
      - Updated licenses texts.
      - Updated 'Source' field.
      - Updated Upstream-Contact field.
  * debian/docs: added 'KnownBugs' and 'Plan' files.
  * debian/lxctl.8: fixed typos in manual.
  * debian/lxctl.docs: renamed to docs.
  * debian/lxctl.manpages: renamed to manpages.
  * debian/patches:
      - Added a header to each patch.
      - Added Index lines to all patches.
      - Created patch '030_fix-typos-in-binary.patch' to fix typos in binary.
        Thanks to Christian T. Steigies <cts@debian.org>.
      - Renumbered all patches.
  * debian/rules:
      - Added target 'execute_after_dh_auto_install' to install
        bash-completion files in correct directory.
      - Removed obsolete dh_builddeb compression override.
      - Updated 'dh_fixperms'.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/source/:
      - Created lintian-overrides file to override messages about manpage.
      - Removed no longer needed 'options' file.
  * debian/tests/control: created superficial tests.
  * debian/upstream/metadata: created.
  * debian/watch:
      - Bumped to version 4.
      - Updated the search rule.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Tue, 14 Jun 2022 15:40:09 -0300

lxctl (0.3.1+debian-4) unstable; urgency=medium

  * QA upload.
  * Add e2fsprogs to Recommends. (Closes: #887199)
    - lvextend is used before resize2fs, but lvm2 is only a recommends
      rather than Depends, so likely a hard dependency isn't needed.
  * debian/watch: replace deprecated github redirector as suggested
    by lintian.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 12 Feb 2018 18:06:27 +0100

lxctl (0.3.1+debian-3) unstable; urgency=low

  * QA upload.
  * Adding man page.
  * Adding debian/watch file.
  * Adding VCS links.
  * Minor debian/copyright lintianisation.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Tue, 10 Jul 2012 16:58:16 +1000

lxctl (0.3.1+debian-2) unstable; urgency=low

  * Switching to xz compression.
  * Updating package to standards version 3.9.3.
  * Updating package to debhelper version 9.
  * Updating homepage field in control.
  * Updating copyright file to format version 1.0.
  * Orphaning package.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 30 Jun 2012 00:46:45 +0200

lxctl (0.3.1+debian-1) unstable; urgency=low

  * Merging upstream version 0.3.1+debian.
  * Redefining fhs.patch.
  * Redefining perl.patch.
  * Sorting overrides in rules alphabetically.
  * Disabling dh_auto_build in rules to accommodate upstreams Makefile.
  * Using wildcard in chown call for bash_completion.d files.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 29 Oct 2011 08:24:55 +0200

=== debian/control ===
Source: lxctl
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/lxctl/lxctl
Vcs-Browser: https://salsa.debian.org/debian/lxctl
Vcs-Git: https://salsa.debian.org/debian/lxctl.git

Package: lxctl
Architecture: all
Depends: libipc-system-simple-perl,
         liblinux-lvm-perl,
         libnet-ssh2-perl,
         libossp-uuid-perl,
         libyaml-tiny-perl,
         lxc,
         ${misc:Depends}
Recommends: bridge-utils,
            e2fsprogs,
            lvm2,
            perl-doc
Suggests: bash-completion
Description: Utility to manage LXC
 This program is write in perl and can be used to control lxc-based containers
 in vzctl-like way.
 This is used to manage different aspects of Linux Containers (LXC) such as
 create, destroy, start, and stop containers.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	# disabled

execute_after_dh_auto_install:
		dh_installdirs usr/share/bash-completion/completions/
		mv debian/lxctl/etc/bash_completion.d/* \
		debian/lxctl/usr/share/bash-completion/completions/
		rm -rf debian/lxctl/etc/bash_completion.d/

override_dh_fixperms:
	dh_fixperms
	chmod 0644 debian/lxctl/etc/lxctl/lxctl.yaml
	chmod 0644 debian/lxctl/usr/share/bash-completion/completions/*

=== debian/tests/control ===
Test-Command: lxctl -v
Restrictions: superficial

Test-Command: lxctl -h 2>&1 | egrep Usage
Restrictions: superficial
